Name:		gtk-aurora-engine
Version:	1.5.1
Release:	4%{?dist}
Summary:	Aurora GTK+ theme engine

Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://gnome-look.org/content/show.php/Aurora+Gtk+Engine?content=56438
Source0:	http://gnome-look.org/CONTENT/content-files/56438-aurora-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk2-devel
Requires:	gtk2

%description
The Aurora GTK+ theme engine compiled with animation support and the original
Aurora theme.

%prep
%setup -q -c 56438-aurora-%{version}.tar.bz2 -a 0
tar -xzf aurora-gtk-engine-1.5.tar.gz
tar -xjf Aurora.tar.bz2

%build
pushd aurora-1.5
%configure --enable-animation
make %{?_smp_mflags}
popd

%install
rm -rf %{buildroot}
pushd aurora-1.5
make install DESTDIR=%{buildroot} INSTALL="install -p"
popd

# Copy theme to proper directory
mkdir -p %{buildroot}%{_datadir}/themes/Aurora
cp -pr Aurora/* %{buildroot}%{_datadir}/themes/Aurora/

# Remove .la files
find %{buildroot} -name *.la | xargs rm -f || true

# Remove backup files
find %{buildroot}%{_datadir}/themes -name *~ -type f | xargs rm -f || true

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc aurora-1.5/{AUTHORS,ChangeLog,COPYING,NEWS,README}
%{_libdir}/gtk-2.0/2.10.0/engines/libaurora.so
%{_datadir}/themes/Aurora/

%changelog
* Fri Nov 05 2010 Germán A. Racca <skytux@fedoraproject.org> 1.5.1-4
- Added cleaning of buildroot in %%install
- Preserved timestamps when installing themes files
- Added dependency on gtk2

* Tue Jun 01 2010 German A. Racca <gracca@gmail.com> 1.5.1-3
- Rebuild for Fedora 13
- Added %%{dist} tag
- Preserved timestamps in installation
- Owned themes directory

* Tue Mar 23 2010 German A. Racca <gracca@gmail.com> 1.5.1-2
- Removed some macros for not to clutter the spec file

* Fri Mar 20 2010 German A. Racca <gracca@gmail.com> 1.5.1-1
- Initial release of RPM package
